using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Adaptation._Tests.Extract.Staging.v2_43_0;

[TestClass]
public class DEP08SIASM
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_43_0.DEP08SIASM _DEP08SIASM;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_43_0.DEP08SIASM.ClassInitialize(testContext);
        _DEP08SIASM = CreateSelfDescription.Staging.v2_43_0.DEP08SIASM.EAFLoggingUnitTesting;
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__MoveMatchingFiles() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__MoveMatchingFiles();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__OpenInsightMetrologyViewer() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__OpenInsightMetrologyViewer();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__IQSSi() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__IQSSi();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__OpenInsight() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__OpenInsight();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__OpenInsightMetrologyViewerAttachments() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__OpenInsightMetrologyViewerAttachments();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__APC() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__APC();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__SPaCe() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__SPaCe();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__Processed() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__Processed();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__Archive() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__Archive();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_0__DEP08SIASM__Dummy() => _DEP08SIASM.Staging__v2_43_0__DEP08SIASM__Dummy();

}